From: [email-masked]
To: [email-masked], [email-masked], [email-masked], [email-masked]
Cc: [email-masked]
Date: Wed, 4 Oct 2000 04:04:00 -0700 (PDT)

There will be a meeting to discuss the plant visits at 1:00 pm Today!  The 
room is EB 3125B.  Please let Don Miller know if you won't be able to make 
it.  Thanks
Ben 3-7998